Add temporary C++ toolchain hack
[hvlinux.git] / stage2 / toolchain-hack-cpp-add
diff --git a/stage2/toolchain-hack-cpp-add b/stage2/toolchain-hack-cpp-add
new file mode 100755 (executable)
index 0000000..e2de7c8
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+source ../functions/main
+
+# Temporary hack. If not, C++ programs cannot be run because
+# libstdc++ libraries are in /tools/lib, but ldd expect to find them
+# in /lib. I don't know why this is necessary now...
+cd /lib
+ln -s /tools/lib/libstdc++.so* .
+
+exit $?